import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/erikerickson/75e232713e89b75f9e57c5e8886cab0f/raw/58845f1ae5bdf8c63859647e2c71dc189f233c13/DESE%2520AP%2520LonLat.csv';

export const useAPData = () => {
  const [data, setData] = useState(null);
   const row = d => {
    d.Lat = +d.Lat;
    d.Lon = +d.Lon;
    d.TestsTaken = +d.TestsTaken;
    d['Score 3-5'] = +d['Score 3-5'];
    return d;
    };
   
  console.log(data);

  useEffect(() => {
        csv(csvUrl, row).then(setData);
     
  }, []);
  
  return data;
};
