import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/erikerickson/c588471f631cd22b6745070eb0adabc0/raw/f161b04a784e915655d6fd91c94ec521c58e2760/maGEO.json';

export const useMassGeo = () => {
  const [data, setData] = useState(null);

  console.log(data);

  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { ma } = topojsonData.objects;
      console.log(topojsonData);
      setData(feature(topojsonData, ma));
    });
  }, []);

  return data;
};
